Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9157

Department: SUPPORT Affected Products: ADTF 3.1.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Use case:

Es sollen mehrere Algorithmen, z.B. A1 - A4 parallel (in unterschiedlichen Threads) bearbeitet werden, jedoch muss sichergestellt

sein, dass alle Algorithmen fertig prozessiert wurden bevor:

1. ein Algorithmus B ausgeführt werden kann

2. die Algorithmen A1 - A4 erneut mit einem neuen Datensatz ausgeführt werden

Anforderung:

Meiner Meinung nach lässt sich dieser und auch einige weitere Use cases recht einfach umsetzen, in dem es ermöglicht wird, dass

Runner auch Inputs bekommen, selbst also auch getriggert werden können. Damit würden auf einen Schlag sehr viel mehr

Konfigurationsmöglichkeiten entstehen, indem z.B. Thread-Runner durch Daten getriggert werden könnten, ich also in Abhängigkeit

von der Verfügbarkeit von Daten mehrere Threads parallel antriggere oder auch einen zentralen Timer Runner haben, der parallel

mehrere Thread-Runner triggert, etc.

Was haltet ihr von der Idee?

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Für den Feature Request wurde das Ticket https://www.cip.audi.de/jira/browse/ACORE-9157 erstellt.

History

#1 - 2017-07-21 09:44 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.1.0 added

#2 - 2017-07-21 09:51 - hidden

Hallo Ursula,

wir werden den Feature-Vorschlag nächste Woche in der Projektrunde mit aufnehmen und besprechen.

Rückmeldung oder ggf. ein Produktticket werden wir nach der Projektrunde einstellen.

Gruß

Matthias
#3 - 2017-07-26 09:21 - hidden

- Project changed from Public Support to 7

#4 - 2017-07-26 09:22 - hidden

- Support Level changed from 2nd Level to 3rd Level

Matthias, bitte ein Ticket dafür erstellen.

Das kann dann im CCB diskutiert werden.

#5 - 2017-07-27 14:55 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9157

An den Anwender:

Für den Feature Request wurde das Ticket https://www.cip.audi.de/jira/browse/ACORE-9157 erstellt.

Damit sollte dieses Supportticket abgeschlossen sein.

Bitte um Feedback bis spätestens morgen den 28.07.2017.

#6 - 2017-07-28 16:04 - hidden

Sehr schön, ich leite es an Simon weiter. Danke!

#7 - 2017-07-31 09:35 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

@Florian, Ticket kann geschlossen werden.

#8 - 2017-07-31 10:39 - hidden

- Subject changed from ADTFS-47294 Feature-Vorschlag ADTF-3 to ADTFS-47294 Feature request ADTF3 - parallel working threads

#9 - 2017-08-02 15:10 - hidden

- Status changed from To Be Closed to Closed

#10 - 2018-01-25 12:07 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
